Skip to main content
GET
Get Sources

Request contract

  • Method and path: GET /apis/v1/fred/sources
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/fred/sources
  • file_type: query; optional
  • limit: query; optional
  • offset: query; optional
  • order_by: query; optional
  • realtime_end: query; optional
  • realtime_start: query; optional
  • sort_order: query; optional
Complete OpenAPI definition Effective request declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.00001 USD per successful request. Your account price may differ; use a request quote where supported.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

file_type
enum<string>
default:xml

A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.

Available options:
xml,
json
limit
integer
default:1000

The maximum number of results to return. integer between 1 and 1000, optional, default: 1000

Required range: 1 <= x <= 1000
offset
integer
default:0

non-negative integer, optional, default: 0

Required range: x >= 0
order_by
enum<string>
default:source_id

Order results by values of the specified attribute. One of the following strings: 'source_id', 'name', 'realtime_start', 'realtime_end'. optional, default: source_id

Available options:
source_id,
name,
realtime_start,
realtime_end
realtime_end
string<date>

The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

realtime_start
string<date>

The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

sort_order
enum<string>
default:asc

Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc

Available options:
asc,
desc

Response

Successful response. The payload schema has not been reviewed yet.